For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

This API allows one to work with User records

Create/Update User Territories

put

Note: Available only if Admin Access -> User Regions is set.

Example overview

From live instance assigned region washington with territories seattle and tacoma and from stage instance assigned region california with territory los-angeles for user 20eb246e-8099-4c7c-854c-5e0f9a366ddb.

HTTP Request

Method: PUT

Endpoint: {{url}}/{{tenantName}}/admin/user-territories/{{userId}}

in our example it would be: https://api.live.welkincloud.io/gh/admin/user-territories/20eb246e-8099-4c7c-854c-5e0f9a366ddb

Parameters

Name
Located in
Description
Required
Type

tenantName

path

Name of tenant

Yes

string

userId

path

User identifier

Yes

UUID

territories.name

body

Region name

Yes

string

territories.territories

body

Territory names

Yes

[string]

territories.instanceName

body

Instance name

Yes

string

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
userIdstring · uuidRequired

UUID of the user

Body
idstring · uuidRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
userIdstring · uuidRequired
fullTerritoriesAccessInstancesstring[]Optional
Responses
200

User territories created/updated

application/json
idstring · uuidRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
userIdstring · uuidRequired
fullTerritoriesAccessInstancesstring[]Optional
put/{tenantName}/admin/user-territories/{userId}
PUT /{tenantName}/admin/user-territories/{userId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 168

{
  "userId": "123e4567-e89b-12d3-a456-426614174000",
  "territories": [
    {
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "fullTerritoriesAccessInstances": [
    "text"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "userId": "123e4567-e89b-12d3-a456-426614174000",
  "territories": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "fullTerritoriesAccessInstances": [
    "text"
  ]
}

Read Users Records

get

User Record API url consist of the following structure

https://api.live.welkincloud.io/{}/admin/users

In our example, the url would be: https://api.live.welkincloud.io/gh/admin/users

  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/gh/admin/users

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
Query parameters
sizeinteger · min: 1 · max: 1000Optional

Number of results per page

Default: 20
sortstringOptional

Sort field and direction, e.g. lastName,asc or createdAt,desc

emailstringOptional
idsstring[]Optional

uuid,uuid,uuid......

firstNamestringOptional

string

lastNamestringOptional

string

regionstringOptional

string

territoriesstringOptional

string,string,string.... Works only with seted region filter

roleNamestringOptional

string

includeDeletedbooleanOptionalExample: true
pageintegerOptional

Pagination: page number

Default: 0Example: 100
Responses
200

Paginated list of users. Note: the backend has no includeDeleted filter — this query param may not have an effect.

application/json
get/{tenantName}/admin/users
GET /{tenantName}/admin/users HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "username": "text",
      "email": "name@gmail.com",
      "phone": "text",
      "timezone": "text",
      "locale": "en-US",
      "firstName": "text",
      "lastName": "text",
      "credentials": "text",
      "tenantName": "text",
      "enabled": true,
      "mfaEnabled": false,
      "statusType": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "_root_user": true,
      "ssoAccess": true,
      "passwordAccess": true,
      "terminologyName": "text",
      "userState": "PROVISIONED",
      "customUserAttributes": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "allowedToReceiveCalls": true,
      "territories": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "123e4567-e89b-12d3-a456-426614174000",
          "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "territories": [
            "text"
          ],
          "instanceName": "text"
        }
      ],
      "fullTerritoriesAccessInstances": [
        "text"
      ],
      "roles": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "permissionName": "text",
          "instanceName": "text",
          "type": "SECURITY_POLICY",
          "effectiveDate": "2026-01-01T00:00:00.000Z",
          "expirationDate": "2026-01-01T00:00:00.000Z",
          "primaryRole": true
        }
      ],
      "policies": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "permissionName": "text",
          "instanceName": "text",
          "type": "SECURITY_POLICY",
          "effectiveDate": "2026-01-01T00:00:00.000Z",
          "expirationDate": "2026-01-01T00:00:00.000Z",
          "primaryRole": true
        }
      ],
      "seats": [
        "GENERAL"
      ],
      "seatAssignAllowed": true,
      "applicationAccess": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "userId": "123e4567-e89b-12d3-a456-426614174000",
        "adminAccessEnabled": true,
        "auditSecurityAccessEnabled": true,
        "instanceAccesses": [
          {
            "instanceId": "123e4567-e89b-12d3-a456-426614174000",
            "instanceName": "text",
            "instanceDescription": "text",
            "userEmailWithInstanceDomain": "text",
            "workshopAccessEnabled": true,
            "auditDataAccessEnabled": true,
            "enabledTakenPersonally": true
          }
        ]
      },
      "createdByName": "text",
      "updatedByName": "text"
    }
  ],
  "metaInfo": {
    "page": 1,
    "pageSize": 1,
    "totalElements": 1,
    "numberOfElements": 1
  }
}

Create User Record

post

NOTE: Available only if Admin Access -> User Provision is set.

Users API url consist of the following structure

https://api.live.welkincloud.io/{}/admin/users

In our example, the url would be: https://api.live.welkincloud.io/gh/admin/users

  1. HTTP Method: POST

  2. HTTP URL: https://api.live.welkincloud.io/gh/admin/users

Note:

  • phone: when working with patients and fields such as phone, phone must be specified in the international format, E.164 format, without zero

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
Body
idstring · uuidRead-onlyOptional
usernamestringRequired
emailstring · emailRequired
phonestring · nullableOptional

E.164 format

timezonestring · nullableOptional
localestring · enumRequiredDefault: en-USPossible values:
firstNamestring · nullableOptional
lastNamestring · nullableOptional
credentialsstring · nullableOptional
tenantNamestringRead-onlyOptional
enabledbooleanOptionalDefault: true
mfaEnabledbooleanOptionalDefault: false
statusTypestring · nullableOptional

AWS Cognito user status.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
_root_userbooleanRead-onlyOptional
ssoAccessbooleanOptional
passwordAccessbooleanOptionalDefault: true
terminologyNamestring · nullableOptional
userStatestring · enumOptionalPossible values:
allowedToReceiveCallsbooleanOptionalDefault: true
fullTerritoriesAccessInstancesstring[]Optional
seatAssignAllowedbooleanOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
Responses
201

User created

application/json
idstring · uuidRead-onlyOptional
usernamestringRequired
emailstring · emailRequired
phonestring · nullableOptional

E.164 format

timezonestring · nullableOptional
localestring · enumRequiredDefault: en-USPossible values:
firstNamestring · nullableOptional
lastNamestring · nullableOptional
credentialsstring · nullableOptional
tenantNamestringRead-onlyOptional
enabledbooleanOptionalDefault: true
mfaEnabledbooleanOptionalDefault: false
statusTypestring · nullableOptional

AWS Cognito user status.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
_root_userbooleanRead-onlyOptional
ssoAccessbooleanOptional
passwordAccessbooleanOptionalDefault: true
terminologyNamestring · nullableOptional
userStatestring · enumOptionalPossible values:
allowedToReceiveCallsbooleanOptionalDefault: true
fullTerritoriesAccessInstancesstring[]Optional
seatAssignAllowedbooleanOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
post/{tenantName}/admin/users
POST /{tenantName}/admin/users HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1314

{
  "username": "text",
  "email": "name@gmail.com",
  "phone": "text",
  "timezone": "text",
  "locale": "en-US",
  "firstName": "text",
  "lastName": "text",
  "credentials": "text",
  "enabled": true,
  "mfaEnabled": false,
  "statusType": "text",
  "ssoAccess": true,
  "passwordAccess": true,
  "terminologyName": "text",
  "userState": "PROVISIONED",
  "customUserAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "allowedToReceiveCalls": true,
  "territories": [
    {
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "fullTerritoriesAccessInstances": [
    "text"
  ],
  "roles": [
    {
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "policies": [
    {
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "seats": [
    "GENERAL"
  ],
  "seatAssignAllowed": true,
  "applicationAccess": {
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "adminAccessEnabled": true,
    "auditSecurityAccessEnabled": true,
    "instanceAccesses": [
      {
        "instanceId": "123e4567-e89b-12d3-a456-426614174000",
        "instanceName": "text",
        "instanceDescription": "text",
        "userEmailWithInstanceDomain": "text",
        "workshopAccessEnabled": true,
        "auditDataAccessEnabled": true,
        "enabledTakenPersonally": true
      }
    ]
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "username": "text",
  "email": "name@gmail.com",
  "phone": "text",
  "timezone": "text",
  "locale": "en-US",
  "firstName": "text",
  "lastName": "text",
  "credentials": "text",
  "tenantName": "text",
  "enabled": true,
  "mfaEnabled": false,
  "statusType": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "_root_user": true,
  "ssoAccess": true,
  "passwordAccess": true,
  "terminologyName": "text",
  "userState": "PROVISIONED",
  "customUserAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "allowedToReceiveCalls": true,
  "territories": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "fullTerritoriesAccessInstances": [
    "text"
  ],
  "roles": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "policies": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "seats": [
    "GENERAL"
  ],
  "seatAssignAllowed": true,
  "applicationAccess": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "adminAccessEnabled": true,
    "auditSecurityAccessEnabled": true,
    "instanceAccesses": [
      {
        "instanceId": "123e4567-e89b-12d3-a456-426614174000",
        "instanceName": "text",
        "instanceDescription": "text",
        "userEmailWithInstanceDomain": "text",
        "workshopAccessEnabled": true,
        "auditDataAccessEnabled": true,
        "enabledTakenPersonally": true
      }
    ]
  },
  "createdByName": "text",
  "updatedByName": "text"
}

Read User Record

get

User Record API url consist of the following structure:

  1. Get user by UserName

{{url}}/{{tenantName}}//admin/users/{userName}

2. Get User By ID {{url}}/{{tenantName}}/admin/users/{userId}?type=ID

3. Get User by Email {{url}}/{{tenantName}}/admin/users/{userEmail}?type=EMAIL

In our example, the url would be: https://api.live.welkincloud.io/gh/admin/users/johndoe

  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/gh/admin/users/johndoe

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
userNamestringRequired

Username of the user

Query parameters
emailstringOptional
idsstring[]Optional

uuid,uuid,uuid......

firstNamestringOptional

string

lastNamestringOptional

string

regionstringOptional

string

territoriesstringOptional

string,string,string.... Works only with seted region filter

includeDeletedbooleanOptionalExample: true
pageintegerOptional

Pagination: page number

Default: 0Example: 100
sizeintegerOptional

Pagination: page size

Default: 20
sortstringOptional

Sort field with sorting order(asc or desc) after coma

Responses
200

User record

application/json
idstring · uuidRead-onlyOptional
usernamestringRequired
emailstring · emailRequired
phonestring · nullableOptional

E.164 format

timezonestring · nullableOptional
localestring · enumRequiredDefault: en-USPossible values:
firstNamestring · nullableOptional
lastNamestring · nullableOptional
credentialsstring · nullableOptional
tenantNamestringRead-onlyOptional
enabledbooleanOptionalDefault: true
mfaEnabledbooleanOptionalDefault: false
statusTypestring · nullableOptional

AWS Cognito user status.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
_root_userbooleanRead-onlyOptional
ssoAccessbooleanOptional
passwordAccessbooleanOptionalDefault: true
terminologyNamestring · nullableOptional
userStatestring · enumOptionalPossible values:
allowedToReceiveCallsbooleanOptionalDefault: true
fullTerritoriesAccessInstancesstring[]Optional
seatAssignAllowedbooleanOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
get/{tenantName}/admin/users/{userName}
GET /{tenantName}/admin/users/{userName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "username": "text",
  "email": "name@gmail.com",
  "phone": "text",
  "timezone": "text",
  "locale": "en-US",
  "firstName": "text",
  "lastName": "text",
  "credentials": "text",
  "tenantName": "text",
  "enabled": true,
  "mfaEnabled": false,
  "statusType": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "_root_user": true,
  "ssoAccess": true,
  "passwordAccess": true,
  "terminologyName": "text",
  "userState": "PROVISIONED",
  "customUserAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "allowedToReceiveCalls": true,
  "territories": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "fullTerritoriesAccessInstances": [
    "text"
  ],
  "roles": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "policies": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "seats": [
    "GENERAL"
  ],
  "seatAssignAllowed": true,
  "applicationAccess": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "adminAccessEnabled": true,
    "auditSecurityAccessEnabled": true,
    "instanceAccesses": [
      {
        "instanceId": "123e4567-e89b-12d3-a456-426614174000",
        "instanceName": "text",
        "instanceDescription": "text",
        "userEmailWithInstanceDomain": "text",
        "workshopAccessEnabled": true,
        "auditDataAccessEnabled": true,
        "enabledTakenPersonally": true
      }
    ]
  },
  "createdByName": "text",
  "updatedByName": "text"
}

Update User Record (Partial update)

patch
  1. User is in Provision state (users that were created by API clients and have not been activated by administrators yet)

NOTE: Available only if Admin Access -> User Provision is set.

All fields can be changed.

2. User is not in Provision state

NOTE: Available only if Admin Access -> User Attributes is set.

Fields that can be changed:

  • credentials

  • timezone

  • locale

  • custom attributes

If you with to update some of the user fields, but not all, you can use PATCH

  1. HTTP Method: PATCH

  2. HTTP URL: https://api.live.welkincloud.io/gh/admin/users/johndoe

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
userNamestringRequired

Username of the user

Body

Partial update — all fields optional.

phonestring · nullableOptional
firstNamestring · nullableOptional
lastNamestring · nullableOptional
credentialsstring · nullableOptional
timezonestring · nullableOptional
localestring · enumOptionalPossible values:
enabledbooleanOptional
mfaEnabledbooleanOptional
terminologyNamestringOptional
ssoAccessbooleanOptional
passwordAccessbooleanOptional
resetPasswordbooleanOptional
allowedToReceiveCallsbooleanOptional
Responses
200

Updated user

application/json
idstring · uuidRead-onlyOptional
usernamestringRequired
emailstring · emailRequired
phonestring · nullableOptional

E.164 format

timezonestring · nullableOptional
localestring · enumRequiredDefault: en-USPossible values:
firstNamestring · nullableOptional
lastNamestring · nullableOptional
credentialsstring · nullableOptional
tenantNamestringRead-onlyOptional
enabledbooleanOptionalDefault: true
mfaEnabledbooleanOptionalDefault: false
statusTypestring · nullableOptional

AWS Cognito user status.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
_root_userbooleanRead-onlyOptional
ssoAccessbooleanOptional
passwordAccessbooleanOptionalDefault: true
terminologyNamestring · nullableOptional
userStatestring · enumOptionalPossible values:
allowedToReceiveCallsbooleanOptionalDefault: true
fullTerritoriesAccessInstancesstring[]Optional
seatAssignAllowedbooleanOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
patch/{tenantName}/admin/users/{userName}
PATCH /{tenantName}/admin/users/{userName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 338

{
  "phone": "text",
  "firstName": "text",
  "lastName": "text",
  "credentials": "text",
  "timezone": "text",
  "locale": "en-US",
  "enabled": true,
  "mfaEnabled": true,
  "terminologyName": "text",
  "ssoAccess": true,
  "passwordAccess": true,
  "resetPassword": true,
  "customUserAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "seats": [
    "GENERAL"
  ],
  "allowedToReceiveCalls": true
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "username": "text",
  "email": "name@gmail.com",
  "phone": "text",
  "timezone": "text",
  "locale": "en-US",
  "firstName": "text",
  "lastName": "text",
  "credentials": "text",
  "tenantName": "text",
  "enabled": true,
  "mfaEnabled": false,
  "statusType": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "_root_user": true,
  "ssoAccess": true,
  "passwordAccess": true,
  "terminologyName": "text",
  "userState": "PROVISIONED",
  "customUserAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "allowedToReceiveCalls": true,
  "territories": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "fullTerritoriesAccessInstances": [
    "text"
  ],
  "roles": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "policies": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "seats": [
    "GENERAL"
  ],
  "seatAssignAllowed": true,
  "applicationAccess": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "adminAccessEnabled": true,
    "auditSecurityAccessEnabled": true,
    "instanceAccesses": [
      {
        "instanceId": "123e4567-e89b-12d3-a456-426614174000",
        "instanceName": "text",
        "instanceDescription": "text",
        "userEmailWithInstanceDomain": "text",
        "workshopAccessEnabled": true,
        "auditDataAccessEnabled": true,
        "enabledTakenPersonally": true
      }
    ]
  },
  "createdByName": "text",
  "updatedByName": "text"
}

Update policies

put

Request to set policies and roles for a user

NOTE: Available only if Admin Access -> User Provision is set for API client.

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
userNamestringRequired

Username of the user

Body
instanceNamestringRequired
fullTerritoriesAccessbooleanOptional
Responses
200

Updated user with new policies/roles

application/json
idstring · uuidRead-onlyOptional
usernamestringRequired
emailstring · emailRequired
phonestring · nullableOptional

E.164 format

timezonestring · nullableOptional
localestring · enumRequiredDefault: en-USPossible values:
firstNamestring · nullableOptional
lastNamestring · nullableOptional
credentialsstring · nullableOptional
tenantNamestringRead-onlyOptional
enabledbooleanOptionalDefault: true
mfaEnabledbooleanOptionalDefault: false
statusTypestring · nullableOptional

AWS Cognito user status.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
_root_userbooleanRead-onlyOptional
ssoAccessbooleanOptional
passwordAccessbooleanOptionalDefault: true
terminologyNamestring · nullableOptional
userStatestring · enumOptionalPossible values:
allowedToReceiveCallsbooleanOptionalDefault: true
fullTerritoriesAccessInstancesstring[]Optional
seatAssignAllowedbooleanOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
put/{tenantName}/admin/users/{userName}/policies
PUT /{tenantName}/admin/users/{userName}/policies HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 510

{
  "instanceName": "text",
  "fullTerritoriesAccess": true,
  "territories": [
    {
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "policies": [
    {
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "roles": [
    {
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "username": "text",
  "email": "name@gmail.com",
  "phone": "text",
  "timezone": "text",
  "locale": "en-US",
  "firstName": "text",
  "lastName": "text",
  "credentials": "text",
  "tenantName": "text",
  "enabled": true,
  "mfaEnabled": false,
  "statusType": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "_root_user": true,
  "ssoAccess": true,
  "passwordAccess": true,
  "terminologyName": "text",
  "userState": "PROVISIONED",
  "customUserAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "allowedToReceiveCalls": true,
  "territories": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "territories": [
        "text"
      ],
      "instanceName": "text"
    }
  ],
  "fullTerritoriesAccessInstances": [
    "text"
  ],
  "roles": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "policies": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "permissionName": "text",
      "instanceName": "text",
      "type": "SECURITY_POLICY",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "primaryRole": true
    }
  ],
  "seats": [
    "GENERAL"
  ],
  "seatAssignAllowed": true,
  "applicationAccess": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "adminAccessEnabled": true,
    "auditSecurityAccessEnabled": true,
    "instanceAccesses": [
      {
        "instanceId": "123e4567-e89b-12d3-a456-426614174000",
        "instanceName": "text",
        "instanceDescription": "text",
        "userEmailWithInstanceDomain": "text",
        "workshopAccessEnabled": true,
        "auditDataAccessEnabled": true,
        "enabledTakenPersonally": true
      }
    ]
  },
  "createdByName": "text",
  "updatedByName": "text"
}

Last updated

Was this helpful?